You are Here:
Linux Lite 7.0 RC1 Released - See Release Announcement Section



Chromium has broken dependencies LL3.6

Author (Read 3098 times)

0 Members and 1 Guest are viewing this topic.

Re: Chromium has broken dependencies LL3.6
« Reply #3 on: September 13, 2017, 04:31:45 PM »
 

Acdane

  • New to Forums
  • *
  • 13
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile

  • CPU: Dell XPS M1210

  • MEMORY: 2Gb
sorry none of that worked
 

Re: Chromium has broken dependencies LL3.6
« Reply #2 on: September 13, 2017, 01:37:20 PM »
 

TheDead

  • Gold Level Poster
  • *******
  • 936
    Posts
  • Reputation: 92
  • Linux Lite Worshipper
    • View Profile
    • My OpenDesktop Projects

  • CPU: HAL9000

  • MEMORY: 2Gb

  • VIDEO CARD: Quantum State VR v.3

  • Kernel: 4.x
Try and flush your Chromium user data/history.
Then user Lite Tweak to clean your system and/or use open a terminal and do a
sudo apt-get autoremove
and see if somethings cleans up.
If this doesn't work, maybe try doing a reinstall and remove trought the Synaptics Package manager.

I know that there is a command with dpkg to run when updates are left in a inconsistent state.
maybe it's applicable here, I only did this once and did not keep the command on file.
Anyone know what that command would be?

Oh, and don't forget to close all other software install/update apps since they keep locks. Only one at a time can run.

Cheers!

-TheDead (TheUxNo0b)
« Last Edit: September 13, 2017, 01:41:24 PM by TheDead »
- TheDead (TheUxNo0b)

If my blabbering was helpful, please click my [Thank] link.
 

Chromium has broken dependencies LL3.6
« Reply #1 on: September 13, 2017, 12:14:30 PM »
 

Acdane

  • New to Forums
  • *
  • 13
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile

  • CPU: Dell XPS M1210

  • MEMORY: 2Gb
The solution to the follow was to re-install python enchant.


Hi, I am having a problem with Chromium broken dependencies which is affecting installing other things in Lite Tweaks. So I tried to remove it and got this. I also included a snippet of a system report.
I'm attempting to remove some software, Chromium in particular and get the following error. I have a Dell XPS M1210 LL3.2

Here's the log from when I tried to remove it:

sudo apt-get remove chromium-browser
[sudo] password for annkronick:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  chromium-browser python-enchant
0 upgraded, 0 newly installed, 2 to remove and 48 not upgraded.
2 not fully installed or removed.
After this operation, 265 MB disk space will be freed.
Do you want to continue? [Y/n] y
dpkg: error processing package chromium-browser (--remove):
 package is in a very bad inconsistent state; you should
 reinstall it before attempting a removal
(Reading database ... 215581 files and directories currently installed.)
Removing python-enchant (1.6.6-2) ...
dpkg: error processing package python-enchant (--remove):
 unable to securely remove '/usr/lib/python2.7/dist-packages/pyenchant-1.6.6.egg-info/PKG-INFO': Not a directory
Errors were encountered while processing:
 chromium-browser
 python-enchant
E: Sub-process /usr/bin/dpkg returned an error code (1)



I also did a system log and found the following

rHR   chromium-browser   60.0.3112.78-0ubuntu0.16.04.1293
rH   python-enchant   1.6.6-2   all   spellchecking library for Pytho
« Last Edit: September 25, 2017, 08:15:41 AM by Acdane »
 

 

-->
X Close Ad

Linux Lite 7.0 RC1 Released - See Release Announcement Section